python-petsc4py_3.7.0-3build2_i386.deb


Advertisement

Description

python-petsc4py - Python 2 bindings for PETSc libraries

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-petsc4py
Package version 3.7.0
Package release 3build2
Package architecture i386
Package type deb
Installed size 3.05 KB
Download size 554.56 KB
Official Mirror archive.ubuntu.com
PETSc is a suite of data structures and routines for the scalable (parallel)
solution of scientific applications modeled by partial differential equations.
It employs the MPI standard for all message-passing communication.
This package provides Python 2 bindings to almost all functions of PETSc.

Alternatives

Package Version Architecture Repository
python-petsc4py_3.7.0-3build2_amd64.deb 3.7.0 amd64 Ubuntu Universe
python-petsc4py - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libopenmpi2 -
libpetsc3.7 -
libstdc++6 >= 4.1.1
python << 2.8
python >= 2.7~
python-numpy >= 1:1.10.0~b1
python-numpy-abi9 -
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-petsc4py -

Conflicts

Name Value
python-petsc -

Replaces

Name Value
python-petsc -

Download

Type URL
Binary Package python-petsc4py_3.7.0-3build2_i386.deb
Source Package petsc4py

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-petsc4py deb package:
    # sudo apt-get install python-petsc4py

Files

Path
/usr/lib/python2.7/dist-packages/petsc4py-3.7.0.egg-info
/usr/lib/python2.7/dist-packages/petsc4py/PETSc.py
/usr/lib/python2.7/dist-packages/petsc4py/__init__.py
/usr/lib/python2.7/dist-packages/petsc4py/__main__.py
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/PETSc.pxd
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/__init__.pxd
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/__init__.pyx
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/numpy.h
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/petsc4py.PETSc.h
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/petsc4py.PETSc_api.h
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/petsc4py.h
/usr/lib/python2.7/dist-packages/petsc4py/include/petsc4py/petsc4py.i
/usr/lib/python2.7/dist-packages/petsc4py/lib/PETSc.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/petsc4py/lib/__init__.py
/usr/lib/python2.7/dist-packages/petsc4py/lib/petsc.cfg
/usr/share/doc/python-petsc4py/changelog.Debian.gz
/usr/share/doc/python-petsc4py/copyright

Changelog

2017-09-05 - Matthias Klose <doko@ubuntu.com>
petsc4py (3.7.0-3build2) artful; urgency=medium
* No-change rebuild to drop _PyFPE support.
2017-08-05 - Matthias Klose <doko@ubuntu.com>
petsc4py (3.7.0-3build1) artful; urgency=medium
* No-change rebuild to build to drop python3.5.
2017-05-15 - Drew Parsons <dparsons@debian.org>
petsc4py (3.7.0-3) unstable; urgency=medium
* Add python3 support via python3-petsc4py. Closes: #862110.
* Use pybuild when building with debhelper (dh).
* Move documentation and examples to python-petsc4py-docs.
2016-08-17 - Drew Parsons <dparsons@debian.org>
petsc4py (3.7.0-2) unstable; urgency=medium
* Release petsc4py 3.7 to unstable.
2016-07-10 - Drew Parsons <dparsons@debian.org>
petsc4py (3.7.0-1exp1) experimental; urgency=medium
* New upstream version.
* Fixed debian/watch to let uscan show latest version
2016-07-04 - Drew Parsons <dparsons@debian.org>
petsc4py (3.6.0-2) unstable; urgency=medium
* include human-readable source and copyright statements for
external scripts jquery.js and underscore.js in docs/usrman/_static
* Standards-Version: 3.9.8
2015-10-31 - Drew Parsons <dparsons@debian.org>
petsc4py (3.6.0-1) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Drew Parsons ]
* New upstream version 3.6.0 (https://bitbucket.org/petsc/petsc4py)
Closes: #691266.
* Move package maintenance to Debian Science (alongside PETSc)
* Standards-Version: 3.9.6
2010-08-04 - Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
petsc4py (1.1-2) unstable; urgency=low
* Team upload.
* debian/{control, rules}
- proper support python-numpy upgrades, calling dh_numpy to generate the
correct Depends and tighting the b-d on python-numpy; Closes: #590756
2010-05-11 - Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
petsc4py (1.1-1) unstable; urgency=low
[ Ondrej Certik ]
* Provides: ${python:Provides} added
[ Sandro Tosi ]
* New upstream release.
* debian/control
- uniforming Vcs-Browser field
- switch Vcs-Browser field to viewsvn
- removed Ondrej from Uploaders: thanks for your work!
- removed DM-U-F field
- added b-d for libhdf5-openmpi-dev
- tighten b-d on petsc-dev
* debian/rules
- install 'demo' dir as examples
[ Luca Falavigna ]
* debian/patches/openmpi.patch:
- refresh for new upstream release.
* debian/control:
- Replace libpetsc2.3.3-dev with petsc-dev (Closes: #529478, #522771).
- Remove petsc-dev package from Depends, no longer needed.
- Drop -1 revision from python-numpy and petsc-dev build-dependencies.
+ Bump Standards-Version to 3.8.2:
- Add debian/README.source to document quilt usage.
* debian/rules:
- Export PETSC_DIR and PETSC_ARCH environment variables.
- Change chrpath shared object path accordingly.
2007-12-20 - Ondrej Certik <ondrej@certik.cz>
petsc4py (0.7.5-5) unstable; urgency=low
* DM-Upload-Allowed changed to XS-DM-Upload-Allowed
* pycentral changed to pysupport
* moved from dpatch to quilt
* Debian Policy version updated
* sources were patched with Manuel's patch to compile against the latest
openmpi (Closes: #456869)
* encoding of debian/copyright converted to UTF-8 (fixes lintian warning)

See Also

Package Description
python-pex-cli_1.1.14-2ubuntu2_all.deb transitional dummy package for pex
python-pex-doc_1.1.14-2ubuntu2_all.deb library for generating Python executable zip files
python-pex_1.1.14-2ubuntu2_all.deb library for generating Python executable zip files
python-pexif_0.15-1_all.deb Python EXIF parsing
python-pexpect_4.2.1-1_all.deb Python module for automating interactive applications
python-pg8000-doc_1.10.6-1_all.deb Pure-Python PostgreSQL Driver (documentation)
python-pg8000_1.10.6-1_all.deb Pure-Python PostgreSQL Driver (Python 2)
python-pgmagick_0.6.5-1build1_i386.deb Yet Another Python wrapper for GraphicsMagick
python-pgpdump_1.5-1_all.deb PGP packet parser library (Python 2)
python-pgq3_3.2.6-5_i386.deb python framework for Skype tools for PostgreSQL replication
python-pgspecial_1.8.0-1_all.deb Meta-commands handler for Postgres Database (Python 2)
python-phabricator_0.7.0-1_all.deb Phabricator Python API Bindings (Python 2)
python-phoneutils_0.1+git20100219-2_i386.deb Python bindings for libphone-utils
python-photutils_0.3.2-2_i386.deb Astropy affiliated package for image photometry
python-phply_1.0.0-1_all.deb PHP parser written in Python using PLY
Advertisement
Advertisement